# ===============================================================
# TestNumpyLists.py: Demonstrate use of arrays in numpy lists ...
# ===============================================================

import numpy as np  # Make numpy available using np.

# main method ...

def main():
    print("--- Enter TestNumpyLists.main()              ... ");
    print("--- ======================================== ... ");

    # Create a numpy array, and append an element

    print("--- PART 1: Create arrays and print \n")

    a = np.array(["Hello", "World"])
    a = np.append(a, "!")

    print("--- Current array: {}".format(a))
    print("--- Printing each element")

    # Print contents of array "a" ....

    for i in a:
       print(i)

    print("\n")
    print("--- Printing each element and their index:")

    for i,e in enumerate(a):
       print("Index: {}, was: {}".format(i, e))

    print("\n")
    print("--- PART 2: Show some basic math on arrays")

    b = np.array([0,1,4,3,2])

    print("    Max: {}".format(np.max(b)))
    print("    Average: {}".format(np.average(b)))
    print("    Max index: {}".format(np.argmax(b)))

    print("--- ======================================== ... ");
    print("--- Leave TestNumpyLists.main()              ... ");

# call the main method ...

main()
