# ===============================================================
# TestVectorOperations.py: 
# 
# ===============================================================

from numpy import array
from numpy.linalg import norm

# main method ...

def main():
    print("--- Enter TestVectorOperations.main()     ... ");
    print("--- ======================================== ... ");

    # Define and print two vectors ...

    print("--- Define working vectors ...");

    a = array([1, 2, 3])
    b = array([4, 5, 6])

    print(a)
    print(b)

    # add vectors

    print("--- Add vectors ...");

    c = a + b
    print(c)

    # Calculate L2 norm

    print("--- Compute L2 norm of vector a ...");

    l2 = norm(a, 2)
    print(l2)

    # Compute dot product ...

    print("--- Compute dot product a.b ...");

    c = a.dot(b)
    print(c)

    print("--- ======================================== ... ");
    print("--- Leave TestVectorOperations.main()        ... ");

# call the main method ...

main()
